# TaskActionListener

interface TaskActionListener

### Deprecated

This type is not supported when configuration caching is enabled.

A `TaskActionListener` is notified of the actions that a task performs.

## Functions

afterActions
Link copied to clipboard
abstract fun afterActions(task: Task)
This method is called immediately after the task has completed performing its actions.
beforeActions
Link copied to clipboard
abstract fun beforeActions(task: Task)
This method is called immediately before the task starts performing its actions.